{"recipe":{"name":"ngc_cli","orgName":"nvidia","teamName":"ngc-apps","description":"## NGC CLI\n\nWith NVIDIA GPU Cloud (NGC) CLI, you can perform many of the same operations that are available from the NGC website, such as running jobs, viewing Docker repositories and downloading AI models within your organization and team space.","shortDescription":"NGC CLI","displayName":"NGC CLI","createdDate":"2021-09-20T21:36:15.412Z","updatedDate":"2026-11-16T16:33:19.264Z","publicDatasetUsed":{},"policyLabels":[],"latestVersionIdStr":"5.1.5","latestVersionSizeInBytes":292715523,"modelFormat":"SavedModel","trainingFramework":"Other","precision":"OTHER","application":"OTHER","logo":"https://www.dropbox.com/s/pafd8ye4vf7fntw/Image%20from%20iOS.jpg?raw=1","publisher":"NVIDIA","isPublic":true,"isReadOnly":true,"canGuestDownload":true,"setup":"## Windows 64-bit Install\n\nThe NGC CLI binary for Windows is supported on Windows Vista and later.\n\nDownload the CLI installer, then check the installer's SHA256 hash to ensure the file wasn't corrupted during download. Run the following command to get the SHA256 hash:\n\n```shell\n$ Get-FileHash .\\ngccli_win_amd64.exe\n```\n\nThen compare with the following value, which can also be found in the Release Notes of the Resource:\n\n\n```shell\n7a805902100082aebe29f9c1148c807de807afd8b7c817134a777249070cc225\n```\n\nAfter verifying value, double-click the downloaded file to launch the NVIDIA installer and follow the instructions in the installer.\n\nYou must configure NGC CLI for your use so that you can run the commands.\n\nEnter the following command and follow the prompts:\n```shell\n$ ngc config set\n```\n\n### Windows 64-bit Uninstall:\n\nUninstall using Windows Add/Remove Programs.\n\n## AMD64 Linux Install\n\nThe NGC CLI binary for Linux is supported on Ubuntu 16.04 and later distributions.\n\nClick Download CLI to download the zip file that contains the binary, then transfer the zip file to a directory where you have permissions and then unzip and execute the binary. You can also download, unzip, and install from the command line by moving to a directory where you have execute permissions and then running the following command:\n```shell\n$ wget --content-disposition https://api.ngc.nvidia.com/v2/resources/nvidia/ngc-apps/ngc_cli/versions/4.34.10/files/ngccli_linux.zip -O ngccli_linux.zip && unzip ngccli_linux.zip\n```\n\nCheck the binary's md5 hash to ensure the file wasn't corrupted during download:\n```shell\n$ find ngc-cli/ -type f -exec md5sum {} + | LC_ALL=C sort | md5sum -c ngc-cli.md5\n```\n\nCheck the binary's SHA256 hash to ensure the file wasn't corrupted during download. Run the following command\n```shell\n$ sha256sum ngccli_linux.zip\n```\n\nCompare with the following value, which can also be found in the Release Notes of the Resource:\n\n```shell\n58bc4d7b6901551a095ce5a43a0065b1c22d5eaf1a164d40029ee3fda11ccd47\n```\n\nAfter verifying value, make the NGC CLI binary executable and add your current directory to path:\n\n```shell\n$ chmod u+x ngc-cli/ngc\n$ echo \"export PATH=\\\"\\$PATH:$(pwd)/ngc-cli\\\"\" >> ~/.bash_profile && source ~/.bash_profile\n```\n\nYou must configure NGC CLI for your use so that you can run the commands.\n\nEnter the following command, including your API key when prompted:\n```shell\n$ ngc config set\n```\n\n### Linux Uninstall:\n**<span style=\"color:red\">\nWarning: If you choose to have a custom path for your installation, or move the CLI Binary, these instructions may not be safe.\n</span>**\n\nFor CLI versions 3.0.0 and up:\n\n1. Check ``` dirname `which ngc` ```.\n\nIf this directory can be deleted, move to the next step. If not, move to step 3.\n\n2. Delete the NGC CLI directory:\n\nEnter the following command.\n```\n$ dirname `which ngc` | xargs rm -r\n```\n\n3. Delete the NGC CLI Binary.\nEnter the following command.\n\n```\n$ which ngc | xargs rm\n```\n\nThis does not delete all files downloaded from the initial NGC CLI installation. Please go to the original installation folder and delete it.\n\n## ARM64 Linux Install\n\nThe NGC CLI binary for ARM64 is supported on Ubuntu 18.04 and later distributions.\n\nClick Download CLI to download the zip file that contains the binary, then transfer the zip file to a directory where you have permissions and then unzip and execute the binary. You can also download, unzip, and install from the command line by moving to a directory where you have execute permissions and then running the following command:\n```shell\n$ wget --content-disposition https://api.ngc.nvidia.com/v2/resources/nvidia/ngc-apps/ngc_cli/versions/4.34.10/files/ngccli_arm64.zip -O ngccli_arm64.zip && unzip ngccli_arm64.zip\n```\n\nCheck the binary's md5 hash to ensure the file wasn't corrupted during download:\n```shell\n$ find ngc-cli/ -type f -exec md5sum {} + | LC_ALL=C sort | md5sum -c ngc-cli.md5\n```\n\nCheck the binary's SHA256 hash to ensure the file wasn't corrupted during download. Run the following command\n```shell\n$ sha256sum ngccli_arm64.zip\n```\n\nCompare with the following value, which can also be found in the Release Notes of the Resource:\n\n```shell\n5c18c5d14ad9e4b8c8ac0b5c596cd4ed33c1e4a3f2bd93f851eb974a6f3f6847\n```\n\nAfter verifying value, make the NGC CLI binary executable and add your current directory to path:\n\n```shell\n$ chmod u+x ngc-cli/ngc\n$ echo \"export PATH=\\\"\\$PATH:$(pwd)/ngc-cli\\\"\" >> ~/.bash_profile && source ~/.bash_profile\n```\n\nYou must configure NGC CLI for your use so that you can run the commands.\n\nEnter the following command, including your API key when prompted:\n```shell\n$ ngc config set\n```\n\n### ARM64 Uninstall:\n**<span style=\"color:red\">\nWarning: If you choose to have a custom path for your installation, or move the CLI Binary, these instructions may not be safe.\n</span>**\n\nFor CLI versions 3.0.0 and up:\n\n1. Check ``` dirname `which ngc` ```.\n\nIf this directory can be deleted, move to the next step. If not, move to step 3.\n\n2. Delete the NGC CLI directory:\n\nEnter the following command.\n```\n$ dirname `which ngc` | xargs rm -r\n```\n\n3. Delete the NGC CLI Binary.\nEnter the following command.\n\n```\n$ which ngc | xargs rm\n```\n\nThis does not delete all files downloaded from the initial NGC CLI installation. Please go to the original installation folder and delete it.\n\n## macOS Intel Installer\n\nThe NGC CLI binary for macOS is supported on macOS 10.13 and later.\n\nClick Download CLI to download the installer or use the following command to download the installer:\n\n```shell\n$ curl -LO https://api.ngc.nvidia.com/v2/resources/nvidia/ngc-apps/ngc_cli/versions/4.34.10/files/ngccli_mac_intel.pkg\n```\n\nCheck the installer's SHA256 hash to ensure the file wasn't corrupted during download. Run the following command to get the SHA256 Checksum:\n\n```shell\n$ shasum -a 256 ngccli_mac_intel.pkg\n```\n\nThen compare with the following value, which can also be found in the Release Notes of the Resource:\n\n```shell\n661d384684ec511e89eae52fac03d9847454fafa2fb7ef313a554bf03858d8e1\n```\n\nAfter verifying value, run installer to install CLI:\n\n```shell\n$ sudo installer -pkg ngccli_mac_intel.pkg -target /usr/local\n```\n\nMake sure that you have set up localization to support UTF-8 by setting LC_ALL in ~/.bash_profile. For example:\n```shell\n$ export LC_ALL=en_US.UTF-8\n```\n\nYou must configure NGC CLI for your use so that you can run the commands.\n```shell\n$ ngc config set\n```\n\n### macOS Intel Uninstall\n\nRemove the binary file and it's dependencies:\n```shell\n$ sudo rm -rf /usr/local/ngc-cli/ /usr/local/bin/ngc\n```\n\n## macOS ARM Installer\n\nThe NGC CLI binary for macOS is supported on macOS 10.13 and later.\n\nClick Download CLI to download the installer or use the following command to download the installer:\n\n```shell\n$ curl -LO https://api.ngc.nvidia.com/v2/resources/nvidia/ngc-apps/ngc_cli/versions/4.34.10/files/